dofile("Base.rte/Constants.lua")
require("Actors/AI/NativeHumanAI")  --dofile("Base.rte/Actors/AI/NativeHumanAI.lua")
function Create(self)
	self.TeamRecall = self.Team;
	self.MassRecall = self.Mass;
	--Keep track of how long it should be before healing people.
	self.healTimer = Timer();
    --Interval between healings, in milliseconds.
	self.healInterval = 300;
    --Heal counter.
    self.healnum = 0;
	self.gunpodOn = false;
	self.drone = nil;
	self.droneEnabled = 0;
	self.AI = NativeHumanAI:Create(self)
	if DSTECHPIEINFOTABLE == nil then --Creating the table if it isn't there already
		DSTECHPIEINFOTABLE = {}
	end
	if DSTECHPIEINFOTABLE[1+(self.Team*3)] == nil then --Checking if the team's values exist already
		--Setting base team values
		DSTECHPIEINFOTABLE[1+(self.Team*3)] = 0;
		DSTECHPIEINFOTABLE[2+(self.Team*3)] = false;
		DSTECHPIEINFOTABLE[3+(self.Team*3)] = nil;

	--Resetting values to original values if they've been changed
	end
	if DSTECHPIEINFOTABLE[1+(self.Team*3)] ~= 0 then
		DSTECHPIEINFOTABLE[1+(self.Team*3)] = 0; --Value 1 is which drone is enabled
	end
	if DSTECHPIEINFOTABLE[2+(self.Team*3)] ~= false then
		DSTECHPIEINFOTABLE[2+(self.Team*3)] = false; --Value 2 is whether the gun pod is on or off
	end
	if DSTECHPIEINFOTABLE[3+(self.Team*3)] ~= nil then
		DSTECHPIEINFOTABLE[3+(self.Team*3)] = nil; --Value 3 is the drone itself
	end
end

function GunPodSwitch(self)
	if not DSTECHPIEINFOTABLE[2+(self.Team*3)] then
		DSTECHPIEINFOTABLE[2+(self.Team*3)] = true;
		--Pulvia - Bullets
		--Levis - Laser
		if(DSTECHPIEINFOTABLE[1+(self.Team*3)] == 0) then
		
			DSTECHPIEINFOTABLE[3+(self.Team*3)] = CreateAEmitter("DSS00 Subsidium Pluvia");
			DSTECHPIEINFOTABLE[3+(self.Team*3)].Pos = self.Pos + Vector(0,-40);
			MovableMan:AddMO(DSTECHPIEINFOTABLE[3+(self.Team*3)]);
			
		elseif(DSTECHPIEINFOTABLE[1+(self.Team*3)] == 1) then	
	
			DSTECHPIEINFOTABLE[3+(self.Team*3)] = CreateAEmitter("DSS01 Subsidium Levis");
			DSTECHPIEINFOTABLE[3+(self.Team*3)].Pos = self.Pos + Vector(0,-40);
			MovableMan:AddMO(DSTECHPIEINFOTABLE[3+(self.Team*3)]);
			
		end			
		sound = CreateAEmitter("DSS Deploy Sound Emitter");
		sound.Pos = self.Pos;
		MovableMan:AddMO(sound);
	elseif DSTECHPIEINFOTABLE[2+(self.Team*3)] then
		DSTECHPIEINFOTABLE[2+(self.Team*3)] = false;
		DSTECHPIEINFOTABLE[3+(self.Team*3)].ToDelete = true;
		
		sound = CreateAEmitter("DSS Retract Sound Emitter");
		sound.Pos = self.Pos;
		MovableMan:AddMO(sound);
	end
end

function LaserDrone(self)
	DSTECHPIEINFOTABLE[1+(self.Team*3)] = 1;
	if(DSTECHPIEINFOTABLE[2+(self.Team*3)] == true and DSTECHPIEINFOTABLE[3+(self.Team*3)].PresetName ~= "DSS01 Subsidium Levis") then
		DSTECHPIEINFOTABLE[3+(self.Team*3)].ToDelete = true;
		DSTECHPIEINFOTABLE[3+(self.Team*3)] = CreateAEmitter("DSS01 Subsidium Levis");
		DSTECHPIEINFOTABLE[3+(self.Team*3)].Pos = self.Pos + Vector(0,-40);
		MovableMan:AddMO(DSTECHPIEINFOTABLE[3+(self.Team*3)]);
		sound = CreateAEmitter("DSS Deploy Sound Emitter");
		sound.Pos = self.Pos;
		MovableMan:AddMO(sound);
	end
end

function BulletDrone(self)
	DSTECHPIEINFOTABLE[1+(self.Team*3)] = 0;
	if(DSTECHPIEINFOTABLE[2+(self.Team*3)] == true and DSTECHPIEINFOTABLE[3+(self.Team*3)] ~= "DSS00 Subsidium Pluvia") then
		DSTECHPIEINFOTABLE[3+(self.Team*3)].ToDelete = true;
		DSTECHPIEINFOTABLE[3+(self.Team*3)] = CreateAEmitter("DSS00 Subsidium Pluvia");
		DSTECHPIEINFOTABLE[3+(self.Team*3)].Pos = self.Pos + Vector(0,-40);
		MovableMan:AddMO(DSTECHPIEINFOTABLE[3+(self.Team*3)]);
		sound = CreateAEmitter("DSS Deploy Sound Emitter");
		sound.Pos = self.Pos;
		MovableMan:AddMO(sound);
	end
end

function Update(self)

	if self.TeamRecall ~= self.Team then
		self.Team = TeamRecall;
	end
	if self.AIMode == 0 then
		self.AIMode = 1;
	end
	
	--Credits to CaveCricket48
   if self:IsPlayerControlled() == false and self.AIMode == Actor.AIMODE_SENTRY then
	   self:GetController():SetState(Controller.BODY_CROUCH,false);
	   self:GetController():SetState(Controller.MOVE_RIGHT,false);
	   self:GetController():SetState(Controller.MOVE_LEFT,false);
   end

	--Heal every interval.
    if self.healTimer:IsPastSimMS(self.healInterval) then
		--Heal Self
		if self.Health < 100 then
			self.Health = self.Health + 1;
			if self.healnum == 1 then
				--Create the particle.
				self.part = CreateMOSParticle("Repair Effect");
				--Set the particle's position to just over the actor's head.
				self.part.Pos = self.AboveHUDPos + Vector(0,4);
				--Add the particle to the world.
				MovableMan:AddParticle(part);
			end
		end	
		
		--Reset the healing timer.
		self.healTimer:Reset();
		--Increment the heal counter.
		self.healnum = self.healnum + 1;
		--Reset it if it's gone too far.
		if self.healnum > 5 then
			self.healnum = 0;
		end
	end
	
	if UInputMan:KeyPressed(24) and self:IsPlayerControlled() then
		--print(UInputMan:KeyPressed(24))
		if not self.gunpodOn then
			self.gunpodOn = true;
			--Pulvia - Bullets
			--Levis - Laser
			if(self.droneEnabled == 0) then
			
				self.drone = CreateAEmitter("DSS00 Subsidium Pluvia");
				self.drone.Pos = self.Pos + Vector(0,-40);
				MovableMan:AddMO(self.drone);
				
			elseif(self.droneEnabled == 1) then
			
				self.drone = CreateAEmitter("DSS01 Subsidium Levis");
				self.drone.Pos = self.Pos + Vector(0,-40);
				MovableMan:AddMO(self.drone);
				
			end
			sound = CreateAEmitter("DSS Deploy Sound Emitter");
			sound.Pos = self.Pos;
			MovableMan:AddMO(sound);
			
		elseif self.gunpodOn then
			self.gunpodOn = false;
			self.drone.ToDelete = true;
			
			sound = CreateAEmitter("DSS Retract Sound Emitter");
			sound.Pos = self.Pos;
			MovableMan:AddMO(sound);
		end
	end
end
function UpdateAI(self)
	self.AI:Update(self)
end