function Pulse(actor)
	local gun = ToAHuman(actor).EquippedItem;
	if gun ~= nil then
		gun.Sharpness = 1;
	end
end

function Beam(actor)
	local gun = ToAHuman(actor).EquippedItem;
	if gun ~= nil then
		gun.Sharpness = 2;
	end
end

function ModeOne(actor)
	local gun = ToAHuman(actor).EquippedItem;
	if gun ~= nil then
		gun.Sharpness = 3;
	end
end

function ModeTwo(actor)
	local gun = ToAHuman(actor).EquippedItem;
	if gun ~= nil then
		gun.Sharpness = 4;
	end
end

function Spread(actor)
	local gun = ToAHuman(actor).EquippedItem;
	if gun ~= nil then
		gun.Sharpness = 5;
	end
end

function Rapid(actor)
	local gun = ToAHuman(actor).EquippedItem;
	if gun ~= nil then
		gun.Sharpness = 6;
	end
end

function Sniper(actor)
	local gun = ToAHuman(actor).EquippedItem;
	if gun ~= nil then
		gun.Sharpness = 7;
	end
end

function Create(self)

	self.weaponNameTable = {"DSWE01 Energy Weapon <Pulse>", "DSWE01 Energy Weapon <Beam>", "DSWEXX FORCE", "DSWEXX FORCE <Mode 2>", "DSWB01 VF Weapon <Spread>", "DSWB01 VF Weapon <Rapid>", "DSWB01 VF Weapon <Sniper>"};
	self.weaponClassTable = {"HDFirearm", "HDFirearm", "HDFirearm", "HDFirearm", "HDFirearm", "HDFirearm", "HDFirearm"};
	self.switchPhase = 0;
	self.switchTimer = Timer();
	self.flipTimer = false;
	self.switchDelay = 100;
	self.BurstTimer = Timer();
	self.Sharpness = 0;
end

function Update(self)

	if self.Sharpness ~= 0 then

		local actor = MovableMan:GetMOFromID(self.RootID);
		if MovableMan:IsActor(actor) then
			self.parent = ToAHuman(actor);
		end

		if self.flipTimer == false then
			self.flipTimer = true;
			self.switchTimer:Reset();
		end
		print(self.switchPhase)
		if self.switchTimer:IsPastSimMS(self.switchDelay) then
			if self.switchPhase == 0 then
				if MovableMan:IsActor(self.parent) then
					if self.weaponClassTable[self.Sharpness] == "HDFirearm" then
						local switchGun = ToActor(self.parent):AddInventoryItem(CreateHDFirearm(self.weaponNameTable[self.Sharpness]));
					elseif self.weaponClassTable[self.Sharpness] == "TDExplosive" then
						local switchGun = ToActor(self.parent):AddInventoryItem(CreateTDExplosive(self.weaponNameTable[self.Sharpness]));
					elseif self.weaponClassTable[self.Sharpness] == "HeldDevice" then
						local switchGun = ToActor(self.parent):AddInventoryItem(CreateHeldDevice(self.weaponNameTable[self.Sharpness]));
					end
					ToActor(self.parent):GetController():SetState(Controller.WEAPON_DROP,true);
					self.switchPhase = 1;
				else
					self.Sharpness = 0;
				end
			else
				if MovableMan:IsActor(self.parent) then
					if ToActor(self.parent):IsInventoryEmpty() == false then
						ToActor(self.parent):GetController():SetState(Controller.WEAPON_CHANGE_PREV,true);
					end
				end
				self.ToDelete = true;
			end
		else
			if MovableMan:IsActor(self.parent) then
				ToActor(self.parent):GetController():SetState(Controller.WEAPON_FIRE,false);
			end
		end

	end

end