-- This is the old DSTech faction file. If you wish to use it, rename the new one to something else and this to DSTech.lua.
-- If you plan on using this file, make sure you have ALL of the old content enabled!

-- Unique Faction ID
local factionid = "DSTech";
--print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid
	
-- Faction name
CF_FactionNames[factionid] = "DSTech"
-- Faction description
CF_FactionDescriptions[factionid] = "Once a rogue AI that escaped the hands of its creators, DSTech now offers a wide range of the most hi-tech weaponry to date.";
-- Set true if faction is selectable by player or AI
CF_FactionPlayable[factionid] = true;
-- Modules needed for this faction
CF_RequiredModules[factionid] = {"Base.rte", "DSTech.rte"}

-- Set faction nature
-- Available values ORGANIC, SYNTHETIC
CF_FactionNatures[factionid] = CF_FactionTypes.SYNTHETIC;


-- Define faction bonuses, in percents
-- Scan price reduction
CF_ScanBonuses[factionid] = 0
-- Relation points increase
CF_RelationsBonuses[factionid] = -80
-- Hew HQ build price reduction
CF_ExpansionBonuses[factionid] = 0

-- Gold per turn increase
CF_MineBonuses[factionid] = 20
-- Science per turn increase
CF_LabBonuses[factionid] = 100
-- Delivery time reduction
CF_AirfieldBonuses[factionid] = 0
-- Superweapon targeting reduction
CF_SuperWeaponBonuses[factionid] = 0
-- Unit price reduction
CF_FactoryBonuses[factionid] = 0
-- Body price reduction
CF_CloneBonuses[factionid] = 0
-- HP regeneration increase
CF_HospitalBonuses[factionid] = -80
-- Hack time decrease
CF_HackTimeBonuses[factionid] = 0
-- Hack reward increase
CF_HackRewardBonuses[factionid] = 0

-- Percentage of troops sent to brainhunt or attack player LZ when AI is defending (default - CF_DefaultBrainHuntRatio)
-- If this value is less then default then faction is marked as Defensive if it's more, then as Offensive
CF_BrainHuntRatios[factionid] = CF_DefaultBrainHuntRatio
	
-- Prefered brain inventory items. Brain gets the best available items of the classes specified in list for free.
-- Default - {CF_WeaponTypes.DIGGER, CF_WeaponTypes.RIFLE}

-- Define brain unit
CF_Brains[factionid] = "Brain Robot";
CF_BrainModules[factionid] = "Base.rte";
CF_BrainClasses[factionid] = "AHuman";
CF_BrainPrices[factionid] = 500;

-- Define dropship	
CF_Crafts[factionid] = "DSC02 Crumens";
CF_CraftModules[factionid] = "DSTech.rte";
CF_CraftClasses[factionid] = "ACDropShip";
CF_CraftPrices[factionid] = 150;

-- Define superweapon script
CF_SuperWeaponScripts[factionid] = "UnmappedLands2.rte/SuperWeapons/Bombing.lua"

-- Define prefered presets to choose from when deploying troops in tactical mode
-- CF_PreferedTacticalPresets[factionid] = {
		-- CF_PresetTypes.INFANTRY1,	-- Light + Rifle / Pistol / Grenade
		-- CF_PresetTypes.INFANTRY2,	-- Heavy + Rifle / Pistol / Grenade
		-- CF_PresetTypes.INFANTRY2,	-- Add more heavies to the mix
		-- CF_PresetTypes.INFANTRY2,	-- 
		-- CF_PresetTypes.SNIPER, 		-- Light + Sniper / Pistol / Grenade
		-- CF_PresetTypes.SHOTGUN, 	-- Heavy + Shotgun / Pistol / Grenade
		-- CF_PresetTypes.HEAVY1, 		-- Heavy + Heavy / Rifle / Grenade
		-- CF_PresetTypes.HEAVY2, 		-- Heavy + Heavy / Grenade / Grenade
		-- CF_PresetTypes.HEAVY2, 		-- And a bit more heavies
		-- CF_PresetTypes.ARMOR1, 		-- Armor + Heavy / Pistol / Grenade
		-- CF_PresetTypes.ARMOR1, 		-- And a bit more armor crabs
		-- CF_PresetTypes.ARMOR2, 		-- Heavy + Shield / Pistol / Grenade
		-- CF_PresetTypes.ENGINEER	    -- Light + Digger / Rifle / Grenade
	-- }


-- Define default tactical AI model
-- Coalition operates using squads
--CF_FactionAIModels[factionid] = "SQUAD"

-- Define research queue. This queue controls how AI will research available tech
-- Weapon, item and actor ID's:
-- PS - pistol
-- RF - rifle
-- SH - shotgun
-- SN - sniper
-- HV - heavy
-- SD - shield
-- DG - digger
-- GR - grenade
-- LA - light actor
-- HA - heavy actor
-- AA - armoured actor
-- TA - turret actor
-- Syntax is simple, for example:
-- PS1-RF2+ = try to research any pistol with power level 1 if it's not available then try to research 
-- any rifle with power level 2 or higher. When ai finishes queue it starts from the begining. You can
-- leave queue unspecified in this case UL2 will use it's default queue.
--CF_ResearchQueues[factionid] = "PS1+SH1+GR1+SH2+SD1+HA1+DG1+SN1+HV1+RF1+AA1+TA1+LA1+";

-- Define buyable actors available for purchase or unlocks
CF_ActNames[factionid] = {}
CF_ActPresets[factionid] = {}
CF_ActModules[factionid] = {}
CF_ActPrices[factionid] = {}
CF_ActDescriptions[factionid] = {}
CF_ActUnlockData[factionid] = {}
CF_ActClasses[factionid] = {}
CF_ActTypes[factionid] = {} -- AI will select different weapons based on this value
CF_ActPowers[factionid] = {} -- AI will select weapons based on this value 1 - weakest, 10 toughest, 0 never use
CF_ActOffsets[factionid] = {}

-- Available actor types
-- LIGHT, HEAVY, ARMOR, TURRET

local i = 0
i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSAxx Basis"
CF_ActPresets[factionid][i] = "DSAxx Basis"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 70
CF_ActDescriptions[factionid][i] = "The basic trooper of the DSTech army. Very lightweight and uses special air compression boost technology so it can remain mobile even while carrying extremely heavy weaponry."
CF_ActUnlockData[factionid][i] = 0 -- 0 means available at start
CF_ActTypes[factionid][i] = CF_ActorTypes.LIGHT;
CF_ActPowers[factionid][i] = 3

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSA8 Oculus"
CF_ActPresets[factionid][i] = "DSA8 Oculus"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 100
CF_ActDescriptions[factionid][i] = "Oculus class and higher units are equipped with jetpacks, allowing for precision movements. This entry-level DSA8 Oculus is heavier and more resilient than the DSAxx Basis."
CF_ActUnlockData[factionid][i] = 750
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 6

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSA8 Oculus A"
CF_ActPresets[factionid][i] = "DSA8 Oculus A"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 150
CF_ActDescriptions[factionid][i] = "Lightly armored Oculus model. Heavier and stronger than the original."
CF_ActUnlockData[factionid][i] = 1000
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 7

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSA8 Oculus C"
CF_ActPresets[factionid][i] = "DSA8 Oculus C"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 200
CF_ActDescriptions[factionid][i] = "An armored Oculus model. The limbs are covered in metal plates that can be destroyed individually. However, this means more weight. It's also rather weak on the inside."
CF_ActUnlockData[factionid][i] = 1300
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 8

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSA9 Ferratus"
CF_ActPresets[factionid][i] = "DSA9 Ferratus"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 300
CF_ActDescriptions[factionid][i] = "The ultimate in heavy infantry, the DSA9 Ferratus is covered in extremely tough armor plates made from only the finest Mega Metal."
CF_ActUnlockData[factionid][i] = 2000
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 10

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSA10 Imperator"
CF_ActPresets[factionid][i] = "DSA10 Imperator"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 200
CF_ActDescriptions[factionid][i] = "While not as heavily armored as the DSA9 Ferratus, the DSA10 Imperator makes up for it with increased agility."
CF_ActUnlockData[factionid][i] = 1300
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 8

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSAQ MINIGUN Type"
CF_ActPresets[factionid][i] = "DSAQ MINIGUN Type"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 3000
CF_ActDescriptions[factionid][i] = "A DSAQ01 crab with a special mounted minigun. DSAQ01 units come equipped with an anti-gravity jetpack for manueverability; the guns are too heavy for the legs to do much good."
CF_ActUnlockData[factionid][i] = 5000
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 10
CF_ActOffsets[factionid][i] = Vector(0,12)

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSAQ RIFLE Type"
CF_ActPresets[factionid][i] = "DSAQ RIFLE Type"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 3000
CF_ActDescriptions[factionid][i] = "A DSAQ01 crab with a special mounted laser rifle. DSAQ01 units come equipped with an anti-gravity jetpack for manueverability; the guns are too heavy for the legs to do much good."
CF_ActUnlockData[factionid][i] = 5000
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 10
CF_ActOffsets[factionid][i] = Vector(0,12)

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSAQ MISSILE Type"
CF_ActPresets[factionid][i] = "DSAQ MISSILE Type"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 3000
CF_ActDescriptions[factionid][i] = "A DSAQ01 crab with a special mounted missile launcher. DSAQ01 units come equipped with an anti-gravity jetpack for manueverability; the guns are too heavy for the legs to do much good."
CF_ActUnlockData[factionid][i] = 5000
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 10
CF_ActOffsets[factionid][i] = Vector(0,12)

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSAQ DIGGER Type"
CF_ActPresets[factionid][i] = "DSAQ DIGGER Type"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 3000
CF_ActDescriptions[factionid][i] = "A DSAQ01 crab with a special mounted digger based on the Blade Digger design. DSAQ01 units come equipped with an anti-gravity jetpack for manueverability; the guns are too heavy for the legs to do much good."
CF_ActUnlockData[factionid][i] = 5000
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 0
CF_ActOffsets[factionid][i] = Vector(0,12)

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Anti-Air Drone"
CF_ActPresets[factionid][i] = "Anti-Air Drone"
CF_ActModules[factionid][i] = "Base.rte"
CF_ActPrices[factionid][i] = 225
CF_ActDescriptions[factionid][i] = "Tradstar's Anti-Air Drone sports a machine gun plus a pair of fully automated surface to air missiles for bringing down any unwanted visitors above your landing zone."
CF_ActUnlockData[factionid][i] = 750
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 3
CF_ActOffsets[factionid][i] = Vector(0,12)

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Medic Drone"
CF_ActPresets[factionid][i] = "Medic Drone"
CF_ActModules[factionid][i] = "Coalition.rte"
CF_ActPrices[factionid][i] = 110
CF_ActDescriptions[factionid][i] = "Send this into the battlefield and place it near a unit to create a forcefield around it that heals nearby actors."
CF_ActUnlockData[factionid][i] = 500
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 0
CF_ActOffsets[factionid][i] = Vector(0,12)


-- Define buyable items available for purchase or unlocks
CF_ItmNames[factionid] = {}
CF_ItmPresets[factionid] = {}
CF_ItmModules[factionid] = {}
CF_ItmPrices[factionid] = {}
CF_ItmDescriptions[factionid] = {}
CF_ItmUnlockData[factionid] = {}
CF_ItmClasses[factionid] = {}
CF_ItmTypes[factionid] = {}
CF_ItmPowers[factionid] = {} -- AI will select weapons based on this value 1 - weakest, 10 toughest, 0 never use

-- Available weapon types
-- PISTOL, RIFLE, SHOTGUN, SNIPER, HEAVY, SHIELD, DIGGER, GRENADE

local i = 0
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Light Digger"
CF_ItmPresets[factionid][i] = "Light Digger"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Lightest in the digger family. Cheapest of them all and works as a nice melee weapon on soft targets."
CF_ItmUnlockData[factionid][i] = 0 -- 0 means available at start
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Medium Digger"
CF_ItmPresets[factionid][i] = "Medium Digger"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "Stronger digger. This one can pierce rocks with some effort and dig impressive tunnels and its melee weapon capabilities are much greater."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Heavy Digger"
CF_ItmPresets[factionid][i] = "Heavy Digger"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "Heaviest and the most powerful of them all. Eats concrete with great hunger and allows you to make complex mining caves incredibly fast. Shreds anyone unfortunate who stand in its way."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSO3 Blade Digger"
CF_ItmPresets[factionid][i] = "DSO3 Blade Digger"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "Touch the activated blade's surface to any material and watch it just melt away. Just don't aim straight down unless you want to see what the planet's core looks like."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSO3 Shock Digger"
CF_ItmPresets[factionid][i] = "DSO3 Shock Digger"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "It's like a sword, but made of energy and you use it for digging. Also cuts through enemies very well."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Riot Shield"
CF_ItmPresets[factionid][i] = "Riot Shield"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "This metal shield provides excellent additional frontal protection to the user and it can stop numerous hits before breaking up."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmClasses[factionid][i] = "HeldDevice"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSO1 Segment Shield"
CF_ItmPresets[factionid][i] = "DSO1 Segment Shield"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Segmented shield. Has segmented armor plates that are destroyed before the shield structure is."
CF_ItmUnlockData[factionid][i] = 600
CF_ItmClasses[factionid][i] = "HeldDevice"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 2

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSO6 Blast Shield"
CF_ItmPresets[factionid][i] = "DSO6 Blast Shield"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "Extremely strong but heavy shield."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmClasses[factionid][i] = "HeldDevice"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 5

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSO4 Energy Shield"
CF_ItmPresets[factionid][i] = "DSO4 Energy Shield"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "Generates an energy field in front of the user that stops bullets, making you pretty much invincible unless there's guys on either side of you. The shield doesn't hurt anything, so you need to bring a weapon for that."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Light Scanner"
CF_ItmPresets[factionid][i] = "Light Scanner"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Lightest in the scanner family. Cheapest of them all and can only scan a small area."
CF_ItmUnlockData[factionid][i] = 150
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Medium Scanner"
CF_ItmPresets[factionid][i] = "Medium Scanner"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "Medium scanner. This scanner is stronger and can reveal a larger area."
CF_ItmUnlockData[factionid][i] = 250
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Heavy Scanner"
CF_ItmPresets[factionid][i] = "Heavy Scanner"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 70
CF_ItmDescriptions[factionid][i] = "Strongest scanner out of the three. Can reveal a large area."
CF_ItmUnlockData[factionid][i] = 450
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0




-- Tools
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSO2 Booster A"
CF_ItmPresets[factionid][i] = "DSO2 Booster A"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Flight booster. Lighter units can use this to move faster in the air. Can be dual wielded."
CF_ItmUnlockData[factionid][i] = 150
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSO2 Booster B"
CF_ItmPresets[factionid][i] = "DSO2 Booster B"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Offhand version of the DSO2 Booster."
CF_ItmUnlockData[factionid][i] = 150
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DS05 Shrapnel Gun"
CF_ItmPresets[factionid][i] = "DS05 Shrapnel Gun"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "Sprays distracting shrapnel everywhere that tricks the AI into shooting them instead of you. Too bad friendly fire was removed."
CF_ItmUnlockData[factionid][i] = 200
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSO7 Gravity Crawler"
CF_ItmPresets[factionid][i] = "DSO7 Gravity Crawler"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "Hi-tech personal accellerator that manipulates gravity, allowing the user to fly in the direction the tool is being used. However, it doesn't negate the planet's gravity, meaning that heavy things will still weigh you down a lot."
CF_ItmUnlockData[factionid][i] = 450
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0




-- Sprayers
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSOC01 DSConcrete Sprayer"
CF_ItmPresets[factionid][i] = "DSOC01 DSConcrete Sprayer"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "Sprays concrete all over the place, and carries loads of it."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSOC02 DSMetal Sprayer"
CF_ItmPresets[factionid][i] = "DSOC01 DSConcrete Sprayer"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 500
CF_ItmDescriptions[factionid][i] = "Instead of spraying mundane concrete, this sprayer sprays out white-hot chunks of metal! Yes, you can use this as a weapon. Yes, the metal cools down after landing."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSOC03 DSRod Gun"
CF_ItmPresets[factionid][i] = "DSOC03 DSRod Gun"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 500
CF_ItmDescriptions[factionid][i] = "Shoots out a rod made of... something. Can make bridges easily, but heavy units won't be able to use them or they'll fall straight through. Combine with other DSTech sprayers for best results."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0




-- Drone Launcher
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWS02 Drone Launcher"
CF_ItmPresets[factionid][i] = "DSWS02 Drone Launcher"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "As the name suggests, this launcher fires DSPxx Piranha drones. Sure, you can buy them for free, but now you can place them where you want, when you want, without the danger of craft deployment!"
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0




-- Melee Weapons
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWM01 CHAIN SAWD"
CF_ItmPresets[factionid][i] = "DSWM01 CHAIN SAWD"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 200
CF_ItmDescriptions[factionid][i] = "DSTech chainsaw that actually acts like a chainsaw. Yes, you can dig with it. Yes, it's very effective. Oh, and it's really big too."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWM02 Fist"
CF_ItmPresets[factionid][i] = "DSWM02 Fist"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "Get up close with DSTech's Fist and prepare to do some heavy ownage. Can be used with offhand items."
CF_ItmUnlockData[factionid][i] = 250
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWM02 Fist F A"
CF_ItmPresets[factionid][i] = "DSWM02 Fist F A"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "Automatic version of the DSWM02 Fist, not as much concentrated power but is a bit farther away from you and is dual wieldable!"
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWM02 Fist F B"
CF_ItmPresets[factionid][i] = "DSWM02 Fist F B"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "Offhand version of the DSWM02 Fist F. As they always say, two fists are better than one!"
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWM03 Pile Bunker"
CF_ItmPresets[factionid][i] = "DSWM03 Pile Bunker"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "A very effective close-range weapon. Capable of completely destroying lightly armed targets."
CF_ItmUnlockData[factionid][i] = 250
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0




-- Pistols
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB00 Enforcer A"
CF_ItmPresets[factionid][i] = "DSWB00 Enforcer A"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "DSTech standard pistol. High ammo capacity, good fire rate, and dual wieldable."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB00 Enforcer B"
CF_ItmPresets[factionid][i] = "DSWB00 Enforcer B"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Offhand version of the DSWB00 pistol."
CF_ItmUnlockData[factionid][i] = 400
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB01 SMG A"
CF_ItmPresets[factionid][i] = "DSWB01 SMG A"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "DSTech standard SMG. High ammo capacity, high fire rate, fully automatic, and dual wieldable."
CF_ItmUnlockData[factionid][i] = 600
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 2

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB01 SMG B"
CF_ItmPresets[factionid][i] = "DSWB01 SMG B"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Offhand version of the DSWB01 SMG."
CF_ItmUnlockData[factionid][i] = 600
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 2




-- Grenades
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSTech Blast Grenade"
CF_ItmPresets[factionid][i] = "DSTech Blast Grenade"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 5
CF_ItmDescriptions[factionid][i] = "A simple blast grenade. Explodes after 2.5 seconds."
CF_ItmUnlockData[factionid][i] = 200
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSTech Shockwave Grenade"
CF_ItmPresets[factionid][i] = "DSTech Shockwave Grenade"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 5
CF_ItmDescriptions[factionid][i] = "Uses a shockwave to very seriously injure enemies without doing the same for terrain."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 3

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSTech Blast Mine"
CF_ItmPresets[factionid][i] = "DSTech Blast Mine"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Like a Blast Grenade, but more powerful and it's a mine. Explodes when sufficiently heavy things step on it."
CF_ItmUnlockData[factionid][i] = 350
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 0




-- Rifles
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB02 Rifle"
CF_ItmPresets[factionid][i] = "DSWB02 Rifle"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "DSTech standard rifle. Fully automatic, high ammo capacity, high damage, good view range."
CF_ItmUnlockData[factionid][i] = 0
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB02 Rifle II"
CF_ItmPresets[factionid][i] = "DSWB02 Rifle II"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "Overall improved version of the DSWB02 Rifle. Increased ammo capacity, increased power, greatly increased range."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 6

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB07 MAC"
CF_ItmPresets[factionid][i] = "DSWB07 MAC"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "Mass Accelerator Carbine. Fires a very inaccurate stream of high-density bullets that'll penetrate through pretty much anything."
CF_ItmUnlockData[factionid][i] = 3000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB07 MAC S"
CF_ItmPresets[factionid][i] = "DSWB07 MAC S"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 150
CF_ItmDescriptions[factionid][i] = "Support version of the DSWB07 MAC, is much more accurate and fires faster."
CF_ItmUnlockData[factionid][i] = 3700
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 9

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWE01 Laser Rifle"
CF_ItmPresets[factionid][i] = "DSWE01 Laser Rifle"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 500
CF_ItmDescriptions[factionid][i] = "Very accurate no-auto impulse laser rifle. Slow firing but extremely powerful."
CF_ItmUnlockData[factionid][i] = 4600
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 10




-- Plamsa Thrower
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWS01 Incinerator"
CF_ItmPresets[factionid][i] = "DSWS01 Incinerator"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 200
CF_ItmDescriptions[factionid][i] = "DSTech's plasma thrower. Like a flame thrower, but throws lots of superheated plasma balls instead. WARNING: Is known to cause the slowing of time."
CF_ItmUnlockData[factionid][i] = 3000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 9




-- Shotguns
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB03 Shotgun"
CF_ItmPresets[factionid][i] = "DSWB03 Shotgun"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "DSTech standard shotgun. High ammo, slow fire, rips people apart."
CF_ItmUnlockData[factionid][i] = 800
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHOTGUN;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB03 Shotgun S"
CF_ItmPresets[factionid][i] = "DSWB03 Shotgun S"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "Automatic version of the DSWB03 Shotgun. Has a greatly reduced ammo capacity, however."
CF_ItmUnlockData[factionid][i] = 950
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHOTGUN;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWE03 Laser Shotgun"
CF_ItmPresets[factionid][i] = "DSWE03 Hi-Laser Shotgun"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 500
CF_ItmDescriptions[factionid][i] = "A laser shotgun! Fires a burst of 3 lasers."
CF_ItmUnlockData[factionid][i] = 4600
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHOTGUN;
CF_ItmPowers[factionid][i] = 10




-- Grenade Launchers
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB13 Grenade Launcher <Blast>"
CF_ItmPresets[factionid][i] = "DSWB13 Grenade Launcher <Blast>"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "Grenade launcher that launches Blast Grenades, full auto and 4 per mag."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB13 Grenade Launcher <Shockwave>"
CF_ItmPresets[factionid][i] = "DSWB13 Grenade Launcher <Shockwave>"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "Slightly different version of the DSWB13 Grenade Launcher that launches Shockwave Grenades instead."
CF_ItmUnlockData[factionid][i] = 1650
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 8




-- Gatling Guns
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB05 Gatling Gun A"
CF_ItmPresets[factionid][i] = "DSWB05 Gatling Gun A"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 200
CF_ItmDescriptions[factionid][i] = "Very powerful gatling gun that uses a special system to keep an internal barrel spinning all the time, leading to no spinup times. High ammo, high power, total awesome. Oh, and it's dual wieldable, thanks to anti-gravity propulsion that takes the place of the second hand while using it."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB05 Gatling Gun B"
CF_ItmPresets[factionid][i] = "DSWB05 Gatling Gun B"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 200
CF_ItmDescriptions[factionid][i] = "Offhand version of the DSWB05 Gatling Gun."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWE01 Pulse Laser Rifle"
CF_ItmPresets[factionid][i] = "DSWE01 Pulse Laser Rifle"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 500
CF_ItmDescriptions[factionid][i] = "The Pulse Laser Rifle is fully automatic and has a high fire rate but shoots lower-concentration lasers."
CF_ItmUnlockData[factionid][i] = 4600
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB05 Gatling Gun Q"
CF_ItmPresets[factionid][i] = "DSWB05 Gatling Gun Q"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 1000
CF_ItmDescriptions[factionid][i] = "Insanely powerful version of the DSWB05 Gatling Gun. Holds an insane amount of ammo, insane fire rate, very powerful shots, and no spinup time."
CF_ItmUnlockData[factionid][i] = 5000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 10




-- Sniper Rifles
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB02 Rifle S"
CF_ItmPresets[factionid][i] = "DSWB02 Rifle S"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 70
CF_ItmDescriptions[factionid][i] = "Sniper version of the DSWB02 Rifle. Very good at taking out enemies from afar."
CF_ItmUnlockData[factionid][i] = 2000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB08 Sniper Cannon"
CF_ItmPresets[factionid][i] = "DSWB08 Sniper Cannon"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 200
CF_ItmDescriptions[factionid][i] = "A sniper cannon that fires a special kind of projectile that does heavy damage to units but not much to terrain."
CF_ItmUnlockData[factionid][i] = 3500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWE02 Hi-Laser Rifle"
CF_ItmPresets[factionid][i] = "DSWE02 Hi-Laser Rifle"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 600
CF_ItmDescriptions[factionid][i] = "Sniper that shoots high-concentration lasers. Only one shot per clip, and shots explode on impact, obliterating entire squads while ignoring terrain."
CF_ItmUnlockData[factionid][i] = 4600
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 9

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB02 Rifle Q"
CF_ItmPresets[factionid][i] = "DSWB02 Rifle Q"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 1000
CF_ItmDescriptions[factionid][i] = "Insanely powerful version of the DSWB02 Rifle S. Capable of popping heads behind bunker walls."
CF_ItmUnlockData[factionid][i] = 5000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 10




-- Cannons
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB09 Cannon"
CF_ItmPresets[factionid][i] = "DSWB09 Cannon"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 300
CF_ItmDescriptions[factionid][i] = "6-round cannon that fires highly destructive explosvie balls."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB10 AC"
CF_ItmPresets[factionid][i] = "DSWB10 AC"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 1000
CF_ItmDescriptions[factionid][i] = "This autocannon shoots high-density balls, like you'd expect. What you wouldn't expect is that it carries 10 of them, they don't hurt terrain much, and pierce through targets!"
CF_ItmUnlockData[factionid][i] = 4500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWE05 Plasma Cannon"
CF_ItmPresets[factionid][i] = "DSWE05 Plasma Cannon"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 600
CF_ItmDescriptions[factionid][i] = "Shoots dense balls of plasma that cause considerable destruction where they hit."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 9

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWE05 Plasma Cannon A"
CF_ItmPresets[factionid][i] = "DSWE05 Plasma Cannon A"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 650
CF_ItmDescriptions[factionid][i] = "Research into anti-gravity generators presents to you the dual wieldable version of the Plasma Cannon! DISCLAIMER: Anti-gravity does not in any way shape or form reduce the weight of the Plasma Cannon. Anti-gravity is merely for balancing of the weapon when holding with one hand."
CF_ItmUnlockData[factionid][i] = 6000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 9

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWE05 Plasma Cannon B"
CF_ItmPresets[factionid][i] = "DSWE05 Plasma Cannon B"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 650
CF_ItmDescriptions[factionid][i] = "Offhand version of the Plasma Cannon. Wondering how that's possible? Anti-gravity."
CF_ItmUnlockData[factionid][i] = 6000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 9



-- Rocket Launchers
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB12 LRL"
CF_ItmPresets[factionid][i] = "DSWB12 LRL"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 300
CF_ItmDescriptions[factionid][i] = "The Large Rocket Launcher. Launches a single giant rocket that's guaranteed to destroy anything caught in its radius."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB11 Line Rocket <Anti-Matter>"
CF_ItmPresets[factionid][i] = "DSWB11 Line Rocket <Anti-Matter>"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 300
CF_ItmDescriptions[factionid][i] = "Automatic line rocket launcher. Line rockets act like lasers but explode on impact. This model fires rockets containing a tiny amount of anti-matter, allowing it to destroy any kind of terrain regardless of how strong it is."
CF_ItmUnlockData[factionid][i] = 4300
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 9

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB06 MRL"
CF_ItmPresets[factionid][i] = "DSWB06 MRL"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 150
CF_ItmDescriptions[factionid][i] = "Automatic 4-round Machine Rocket Launcher. Reloads quickly and deals heavy damage."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB06 MRL Q"
CF_ItmPresets[factionid][i] = "DSWB06 MRL Q"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 1000
CF_ItmDescriptions[factionid][i] = "Like the DSWB06 MRL, but has 15 rounds!"
CF_ItmUnlockData[factionid][i] = 5000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 10




-- DSXX Weapons
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSXX LANCE"
CF_ItmPresets[factionid][i] = "DSXX LANCE"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 2000
CF_ItmDescriptions[factionid][i] = "Creates a sword of energy that cuts through enemies and walls alike."
CF_ItmUnlockData[factionid][i] = 7000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSXX FORCE"
CF_ItmPresets[factionid][i] = "DSXX FORCE"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 1000
CF_ItmDescriptions[factionid][i] = "Creates balls of energy that explode on impact. Small ammo capacity and good fire rate."
CF_ItmUnlockData[factionid][i] = 5000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSXX FORCE R"
CF_ItmPresets[factionid][i] = "DSXX FORCE R"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 2000
CF_ItmDescriptions[factionid][i] = "More advanced version of the DSXX FORCE. A bit heavier, and supports full-auto."
CF_ItmUnlockData[factionid][i] = 6000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSXX FORCE PULSE A"
CF_ItmPresets[factionid][i] = "DSXX FORCE PULSE A"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 3000
CF_ItmDescriptions[factionid][i] = "Light dual-wieldable version of the DSXX FORCE. Double the ammo capacity, full-auto, smaller energy balls, and less accuracy."
CF_ItmUnlockData[factionid][i] = 8000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSXX FORCE PULSE B"
CF_ItmPresets[factionid][i] = "DSXX FORCE PULSE B"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 3000
CF_ItmDescriptions[factionid][i] = "Offhand version of the DSXX FORCE PULSE."
CF_ItmUnlockData[factionid][i] = 8000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSXX JUDGEMENT"
CF_ItmPresets[factionid][i] = "DSXX JUDGEMENT"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 10000
CF_ItmDescriptions[factionid][i] = "IMMA FIRIN' MAH LAZOR BWAHHHHH!!! (Fires a stream of death. There's a reason it costs 10000, people.)"
CF_ItmUnlockData[factionid][i] = 10000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 10

-- BOMBS! Void Wanderers only.
if CF_BombNames ~= nil then
	local n = #CF_BombNames + 1
	CF_BombNames[n] = "FORCE Bomb"
	CF_BombPresets[n] = "FORCE Bomb"
	CF_BombModules[n] = "DSTech.rte"
	CF_BombClasses[n] = "TDExplosive"
	CF_BombPrices[n] = 5
	CF_BombDescriptions[n] = "Shockwave bomb that tears units apart without harming terrain."
	CF_BombOwnerFactions[n] = {"DSTech"}
	CF_BombUnlockData[n] = 100
	
	local n = #CF_BombNames + 1
	CF_BombNames[n] = "Blast Bomb"
	CF_BombPresets[n] = "Blast Bomb"
	CF_BombModules[n] = "DSTech.rte"
	CF_BombClasses[n] = "TDExplosive"
	CF_BombPrices[n] = 5
	CF_BombDescriptions[n] = "Cheap and reliable explosive payload."
	CF_BombOwnerFactions[n] = {"DSTech"}
	CF_BombUnlockData[n] = 100
end