-- Unique Faction ID
local factionid = "DSTech";
--print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid
	
-- Faction name
CF_FactionNames[factionid] = "DSTech"
-- Faction description
CF_FactionDescriptions[factionid] = "Once a rogue AI that escaped the hands of its creators, DSTech now offers a wide range of the most hi-tech weaponry to date.";
-- Set true if faction is selectable by player or AI
CF_FactionPlayable[factionid] = true;
-- Modules needed for this faction
CF_RequiredModules[factionid] = {"Base.rte", "DSTech.rte"}

-- Set faction nature
-- Available values ORGANIC, SYNTHETIC
CF_FactionNatures[factionid] = CF_FactionTypes.SYNTHETIC;


-- Define faction bonuses, in percents
-- Scan price reduction
CF_ScanBonuses[factionid] = 0
-- Relation points increase
CF_RelationsBonuses[factionid] = -80   -- killer robots
-- New HQ build price reduction
CF_ExpansionBonuses[factionid] = 0

-- Gold per turn increase
CF_MineBonuses[factionid] = 20   -- more efficient tools
-- Science per turn increase
CF_LabBonuses[factionid] = 100   -- super advanced AI focusing on weapons development
-- Delivery time reduction
CF_AirfieldBonuses[factionid] = 0
-- Superweapon targeting reduction
CF_SuperWeaponBonuses[factionid] = 0
-- Unit price reduction
CF_FactoryBonuses[factionid] = 0
-- Body price reduction
CF_CloneBonuses[factionid] = 0
-- HP regeneration increase
CF_HospitalBonuses[factionid] = -80   -- robots not good at self-repair
-- Hack time decrease
CF_HackTimeBonuses[factionid] = 0
-- Hack reward increase
CF_HackRewardBonuses[factionid] = 0

-- Percentage of troops sent to brainhunt or attack player LZ when AI is defending (default - CF_DefaultBrainHuntRatio)
-- If this value is less then default then faction is marked as Defensive if it's more, then as Offensive
CF_BrainHuntRatios[factionid] = 40 -- KILLER ROBOTS
	
-- Prefered brain inventory items. Brain gets the best available items of the classes specified in list for free.
-- Default - {CF_WeaponTypes.DIGGER, CF_WeaponTypes.RIFLE}

-- Define brain unit
CF_Brains[factionid] = "DSA8 Oculus II Command <Brain>";
CF_BrainModules[factionid] = "Base.rte";
CF_BrainClasses[factionid] = "AHuman";
CF_BrainPrices[factionid] = 500;

-- Define dropship	
CF_Crafts[factionid] = "DSC02 Crumens";
CF_CraftModules[factionid] = "DSTech.rte";
CF_CraftClasses[factionid] = "ACDropShip";
CF_CraftPrices[factionid] = 150;

-- Define superweapon script
CF_SuperWeaponScripts[factionid] = "UnmappedLands2.rte/SuperWeapons/Bombing.lua"

-- Define prefered presets to choose from when deploying troops in tactical mode
-- CF_PreferedTacticalPresets[factionid] = {
		-- CF_PresetTypes.INFANTRY1,	-- Light + Rifle / Pistol / Grenade
		-- CF_PresetTypes.INFANTRY2,	-- Heavy + Rifle / Pistol / Grenade
		-- CF_PresetTypes.INFANTRY2,	-- Add more heavies to the mix
		-- CF_PresetTypes.INFANTRY2,	-- 
		-- CF_PresetTypes.SNIPER, 		-- Light + Sniper / Pistol / Grenade
		-- CF_PresetTypes.SHOTGUN, 	-- Heavy + Shotgun / Pistol / Grenade
		-- CF_PresetTypes.HEAVY1, 		-- Heavy + Heavy / Rifle / Grenade
		-- CF_PresetTypes.HEAVY2, 		-- Heavy + Heavy / Grenade / Grenade
		-- CF_PresetTypes.HEAVY2, 		-- And a bit more heavies
		-- CF_PresetTypes.ARMOR1, 		-- Armor + Heavy / Pistol / Grenade
		-- CF_PresetTypes.ARMOR1, 		-- And a bit more armor crabs
		-- CF_PresetTypes.ARMOR2, 		-- Heavy + Shield / Pistol / Grenade
		-- CF_PresetTypes.ENGINEER	    -- Light + Digger / Rifle / Grenade
	-- }


-- Define default tactical AI model
-- Coalition operates using squads
--CF_FactionAIModels[factionid] = "SQUAD"

-- Define research queue. This queue controls how AI will research available tech
-- Weapon, item and actor ID's:
-- PS - pistol
-- RF - rifle
-- SH - shotgun
-- SN - sniper
-- HV - heavy
-- SD - shield
-- DG - digger
-- GR - grenade
-- LA - light actor
-- HA - heavy actor
-- AA - armoured actor
-- TA - turret actor
-- Syntax is simple, for example:
-- PS1-RF2+ = try to research any pistol with power level 1 if it's not available then try to research 
-- any rifle with power level 2 or higher. When ai finishes queue it starts from the begining. You can
-- leave queue unspecified in this case UL2 will use it's default queue.
--CF_ResearchQueues[factionid] = "PS1+SH1+GR1+SH2+SD1+HA1+DG1+SN1+HV1+RF1+AA1+TA1+LA1+";

-- Define buyable actors available for purchase or unlocks
CF_ActNames[factionid] = {}
CF_ActPresets[factionid] = {}
CF_ActModules[factionid] = {}
CF_ActPrices[factionid] = {}
CF_ActDescriptions[factionid] = {}
CF_ActUnlockData[factionid] = {}
CF_ActClasses[factionid] = {}
CF_ActTypes[factionid] = {} -- AI will select different weapons based on this value
CF_ActPowers[factionid] = {} -- AI will select weapons based on this value 1 - weakest, 10 toughest, 0 never use
CF_ActOffsets[factionid] = {}

-- Available actor types
-- LIGHT, HEAVY, ARMOR, TURRET

local i = 0

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSAD1 Apis"
CF_ActPresets[factionid][i] = "DSAD1 Apis"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 50
CF_ActDescriptions[factionid][i] = "Intitial strike units of a DSTech attack force, less reliable than the DSA series, just as durable as a regular robot."
CF_ActUnlockData[factionid][i] = 0
CF_ActTypes[factionid][i] = CF_ActorTypes.LIGHT;
CF_ActPowers[factionid][i] = 0  -- AI cannot use this unit effectively

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSAxx Basis"
CF_ActPresets[factionid][i] = "DSAxx Basis"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 70
CF_ActDescriptions[factionid][i] = "The DSAxx Basis is one of the first mobile units to have been created by DSTech Corp, and has remained as its standard light infantry unit ever since."
CF_ActUnlockData[factionid][i] = 0 -- 0 means available at start
CF_ActTypes[factionid][i] = CF_ActorTypes.LIGHT;
CF_ActPowers[factionid][i] = 3

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSA0 Basis"
CF_ActPresets[factionid][i] = "DSA0 Basis"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 60
CF_ActDescriptions[factionid][i] = "A DSAxx Basis with the legs and jetpack removed, intended for stationary defense."
CF_ActUnlockData[factionid][i] = 0 -- 0 means available at start
CF_ActTypes[factionid][i] = CF_ActorTypes.TURRET;
CF_ActPowers[factionid][i] = 0  -- While it is a turret, AI doesn't know how to give it weapons

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSA8 Oculus II"
CF_ActPresets[factionid][i] = "DSA8 Oculus II"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 100
CF_ActDescriptions[factionid][i] = "Primary multirole unit of the DSTech forces, these robots are tough and versatile, leading them to many roles. Comes with a standard grade repair system."
CF_ActUnlockData[factionid][i] = 750
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 6

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSA9 Ferratus"
CF_ActPresets[factionid][i] = "DSA9 Ferratus"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 300
CF_ActDescriptions[factionid][i] = "The DSA9 Ferratus is a very heavily armored unit with plates that will withstand explosive attacks with ease; however, it doensn't stand a chance against piercing fire."
CF_ActUnlockData[factionid][i] = 2000
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 8

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSA9 Ferratus C"
CF_ActPresets[factionid][i] = "DSA9 Ferratus C"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 200
CF_ActDescriptions[factionid][i] = "This version of the Ferratus is designed for out-of-doors combat, with a taller stature, a more powerful jetpack, and lighter yet sturdier armor."
CF_ActUnlockData[factionid][i] = 1300
CF_ActTypes[factionid][i] = CF_ActorTypes.HEAVY;
CF_ActPowers[factionid][i] = 8

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSAQ MINIGUN Type"
CF_ActPresets[factionid][i] = "DSAQ MINIGUN Type"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 3000
CF_ActDescriptions[factionid][i] = "A DSAQ01 crab with a special mounted minigun. DSAQ01 units come equipped with an anti-gravity jetpack for manueverability; the guns are too heavy for the legs to do much good."
CF_ActUnlockData[factionid][i] = 5000
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 10
CF_ActOffsets[factionid][i] = Vector(0,12)

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSAQ RIFLE Type"
CF_ActPresets[factionid][i] = "DSAQ RIFLE Type"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 3000
CF_ActDescriptions[factionid][i] = "A DSAQ01 crab with a special mounted laser rifle. DSAQ01 units come equipped with an anti-gravity jetpack for manueverability; the guns are too heavy for the legs to do much good."
CF_ActUnlockData[factionid][i] = 5000
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 10
CF_ActOffsets[factionid][i] = Vector(0,12)

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "DSAQ MISSILE Type"
CF_ActPresets[factionid][i] = "DSAQ MISSILE Type"
CF_ActModules[factionid][i] = "DSTech.rte"
CF_ActPrices[factionid][i] = 3000
CF_ActDescriptions[factionid][i] = "A DSAQ01 crab with a special mounted missile launcher. DSAQ01 units come equipped with an anti-gravity jetpack for manueverability; the guns are too heavy for the legs to do much good."
CF_ActUnlockData[factionid][i] = 5000
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 10
CF_ActOffsets[factionid][i] = Vector(0,12)

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Anti-Air Drone"
CF_ActPresets[factionid][i] = "Anti-Air Drone"
CF_ActModules[factionid][i] = "Base.rte"
CF_ActPrices[factionid][i] = 225
CF_ActDescriptions[factionid][i] = "Tradestar's Anti-Air Drone sports a machine gun plus a pair of fully automated surface to air missiles for bringing down any unwanted visitors above your landing zone."
CF_ActUnlockData[factionid][i] = 750
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 3
CF_ActOffsets[factionid][i] = Vector(0,12)

i = #CF_ActNames[factionid] + 1
CF_ActNames[factionid][i] = "Medic Drone"
CF_ActPresets[factionid][i] = "Medic Drone"
CF_ActModules[factionid][i] = "Coalition.rte"
CF_ActPrices[factionid][i] = 110
CF_ActDescriptions[factionid][i] = "Send this into the battlefield and place it near a unit to create a forcefield around it that heals nearby actors."
CF_ActUnlockData[factionid][i] = 500
CF_ActClasses[factionid][i] = "ACrab"
CF_ActTypes[factionid][i] = CF_ActorTypes.ARMOR;
CF_ActPowers[factionid][i] = 0
CF_ActOffsets[factionid][i] = Vector(0,12)


-- Define buyable items available for purchase or unlocks
CF_ItmNames[factionid] = {}
CF_ItmPresets[factionid] = {}
CF_ItmModules[factionid] = {}
CF_ItmPrices[factionid] = {}
CF_ItmDescriptions[factionid] = {}
CF_ItmUnlockData[factionid] = {}
CF_ItmClasses[factionid] = {}
CF_ItmTypes[factionid] = {}
CF_ItmPowers[factionid] = {} -- AI will select weapons based on this value 1 - weakest, 10 toughest, 0 never use

-- Available weapon types
-- PISTOL, RIFLE, SHOTGUN, SNIPER, HEAVY, SHIELD, DIGGER, GRENADE

local i = 0
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Light Digger"
CF_ItmPresets[factionid][i] = "Light Digger"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Lightest in the digger family. Cheapest of them all and works as a nice melee weapon on soft targets."
CF_ItmUnlockData[factionid][i] = 0 -- 0 means available at start
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Medium Digger"
CF_ItmPresets[factionid][i] = "Medium Digger"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "Stronger digger. This one can pierce rocks with some effort and dig impressive tunnels and its melee weapon capabilities are much greater."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 4

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Heavy Digger"
CF_ItmPresets[factionid][i] = "Heavy Digger"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "Heaviest and the most powerful of them all. Eats concrete with great hunger and allows you to make complex mining caves incredibly fast. Shreds anyone unfortunate who stand in its way."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DST01 Blade Digger"
CF_ItmPresets[factionid][i] = "DST01 Blade Digger"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "The main mining tool of the DSTech forces. Covers a wide area, and utilizes FORCE particles for high-speed digging."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DST02 Digger"
CF_ItmPresets[factionid][i] = "DST02 Digger"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "Fast digger often used to breach bunkers easily, cannot collect gold but breaks tough walls like a hot knife through butter."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.DIGGER;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Riot Shield"
CF_ItmPresets[factionid][i] = "Riot Shield"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "This metal shield provides excellent additional frontal protection to the user and it can stop numerous hits before breaking up."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmClasses[factionid][i] = "HeldDevice"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSO1 Segment Shield"
CF_ItmPresets[factionid][i] = "DSO1 Segment Shield"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Segmented shield. Has segmented armor plates that are destroyed before the shield structure is."
CF_ItmUnlockData[factionid][i] = 600
CF_ItmClasses[factionid][i] = "HeldDevice"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 2

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSO6 Blast Shield"
CF_ItmPresets[factionid][i] = "DSO6 Blast Shield"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "Extremely strong but heavy shield."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmClasses[factionid][i] = "HeldDevice"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 5

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSO4 Energy Shield"
CF_ItmPresets[factionid][i] = "DSO4 Energy Shield"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "Generates an energy field in front of the user that stops bullets, making you pretty much invincible unless there's guys on either side of you. The shield doesn't hurt anything, so you need to bring a weapon for that."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 0 -- AI isn't smart enough to know you need to fire it

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Light Scanner"
CF_ItmPresets[factionid][i] = "Light Scanner"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Lightest in the scanner family. Cheapest of them all and can only scan a small area."
CF_ItmUnlockData[factionid][i] = 150
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Medium Scanner"
CF_ItmPresets[factionid][i] = "Medium Scanner"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "Medium scanner. This scanner is stronger and can reveal a larger area."
CF_ItmUnlockData[factionid][i] = 250
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "Heavy Scanner"
CF_ItmPresets[factionid][i] = "Heavy Scanner"
CF_ItmModules[factionid][i] = "Base.rte"
CF_ItmPrices[factionid][i] = 70
CF_ItmDescriptions[factionid][i] = "Strongest scanner out of the three. Can reveal a large area."
CF_ItmUnlockData[factionid][i] = 450
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0




-- Tools
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSO2 Booster A"
CF_ItmPresets[factionid][i] = "DSO2 Booster A"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Flight booster. Lighter units can use this to move faster in the air. Can be dual wielded."
CF_ItmUnlockData[factionid][i] = 150
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSO2 Booster B"
CF_ItmPresets[factionid][i] = "DSO2 Booster B"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 20
CF_ItmDescriptions[factionid][i] = "Offhand version of the DSO2 Booster."
CF_ItmUnlockData[factionid][i] = 150
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DS05 Shrapnel Gun"
CF_ItmPresets[factionid][i] = "DS05 Shrapnel Gun"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "Sprays distracting shrapnel everywhere that tricks the AI into shooting them instead of you. Too bad friendly fire was removed."
CF_ItmUnlockData[factionid][i] = 200
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0



-- Sprayers
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSTC00 Material Sprayer"
CF_ItmPresets[factionid][i] = "DSTC00 Material Sprayer"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "Construction tool that generates concrete. Very effective at creating makeshift structures."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSTC01 DSMetal Sprayer"
CF_ItmPresets[factionid][i] = "DSTC01 DSMetal Sprayer"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 500
CF_ItmDescriptions[factionid][i] = "Sprays white-hot chunks of metal instead of mundane concrete like other sprayers. It can be used as a weapon if needed."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSTC02 DSRod Gun"
CF_ItmPresets[factionid][i] = "DSTC02 DSRod Gun"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 500
CF_ItmDescriptions[factionid][i] = "Throws out rods made out of a special material intended for being used as frames for other materials. Very effective for making bridges, but can't hold weight."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0




-- Drone Launcher
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWS02 Drone Launcher"
CF_ItmPresets[factionid][i] = "DSWS02 Drone Launcher"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "Fires DSPxx Piranha drones, which automatically seek out and attack enemies."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0  -- Too OP? Nah. Actually I dunno.




-- Melee Weapons
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWM04 CHAIN SAWD"
CF_ItmPresets[factionid][i] = "DSWM04 CHAIN SAWD"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 200
CF_ItmDescriptions[factionid][i] = "DSTech chainsaw that actually acts like a chainsaw. Yes, you can dig with it. Yes, it's very effective. Oh, and it's really big too."
CF_ItmUnlockData[factionid][i] = 1000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWM01 Fist"
CF_ItmPresets[factionid][i] = "DSWM01 Fist"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "Get up close with DSTech's Fist and prepare to do some heavy ownage. Can be used with offhand items."
CF_ItmUnlockData[factionid][i] = 250
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWM02 Fist F A"
CF_ItmPresets[factionid][i] = "DSWM02 Fist F A"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "Automatic version of the DSWM02 Fist, not as much concentrated power but is a bit farther away from you and is dual wieldable!"
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWM02 Fist F B"
CF_ItmPresets[factionid][i] = "DSWM02 Fist F B"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "Offhand version of the DSWM02 Fist F. As they always say, two fists are better than one!"
CF_ItmUnlockData[factionid][i] = 500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWM03 Pile Bunker"
CF_ItmPresets[factionid][i] = "DSWM03 Pile Bunker"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 40
CF_ItmDescriptions[factionid][i] = "Impales enemies with rods. Makes for an effective melee weapon, but also useful for poking firing holes through bunker walls."
CF_ItmUnlockData[factionid][i] = 250
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0




-- Pistols
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB00 SMG A"
CF_ItmPresets[factionid][i] = "DSWB00 SMG A"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "DSTech standard SMG. High ammo capacity, high fire rate, fully automatic, and dual wieldable."
CF_ItmUnlockData[factionid][i] = 600
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB00 SMG B"
CF_ItmPresets[factionid][i] = "DSWB00 SMG B"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 10
CF_ItmDescriptions[factionid][i] = "Offhand version of the DSWB01 SMG."
CF_ItmUnlockData[factionid][i] = 600
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 1




-- Grenades
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSTech Blast Grenade"
CF_ItmPresets[factionid][i] = "DSTech Blast Grenade"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 5
CF_ItmDescriptions[factionid][i] = "A simple blast grenade. Explodes after 2.5 seconds."
CF_ItmUnlockData[factionid][i] = 200
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 1

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSTech Shockwave Grenade"
CF_ItmPresets[factionid][i] = "DSTech Shockwave Grenade"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 5
CF_ItmDescriptions[factionid][i] = "Uses a shockwave to very seriously injure enemies without doing the same for terrain."
CF_ItmUnlockData[factionid][i] = 500
CF_ItmClasses[factionid][i] = "TDExplosive"
CF_ItmTypes[factionid][i] = CF_WeaponTypes.GRENADE;
CF_ItmPowers[factionid][i] = 3




-- Rifles
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB02 MAC"
CF_ItmPresets[factionid][i] = "DSWB02 MAC"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "DSTech's Miniature Auto Cannon, designed for anti-vehicle combat. Fires melter type bullets."
CF_ItmUnlockData[factionid][i] = 3000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB02 MAC <Explosive>"
CF_ItmPresets[factionid][i] = "DSWB02 MAC <Explosive>"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 150
CF_ItmDescriptions[factionid][i] = "DSTech's Miniature Auto Cannon, designed for anti-vehicle combat. This explosive round version has half the ammo count and is semi-auto."
CF_ItmUnlockData[factionid][i] = 3700
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 9

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB01 VF Weapon <Rapid>"
CF_ItmPresets[factionid][i] = "DSWB01 VF Weapon <Rapid>"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 100
CF_ItmDescriptions[factionid][i] = "Main weapon of the DSTech forces, features three firing forms, rapid, spread, and sniper. Use the Pie Menu to change forms."
CF_ItmUnlockData[factionid][i] = 2000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 9


-- Flame Thrower
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWS01 Incinerator A"
CF_ItmPresets[factionid][i] = "DSWS01 Incinerator A"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 200
CF_ItmDescriptions[factionid][i] = "Nearly taken directly from the smelting furnaces of DSTech Corp, these flame jets can instantly burn through almost anything."
CF_ItmUnlockData[factionid][i] = 3000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL; -- Should be HEAVY, but then the AI would never think to equip it with... wait for it...
CF_ItmPowers[factionid][i] = 9

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWS01 Incinerator B"
CF_ItmPresets[factionid][i] = "DSWS01 Incinerator B"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 200
CF_ItmDescriptions[factionid][i] = "Offhand version of the DSWS01 Incinerator."
CF_ItmUnlockData[factionid][i] = 3000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD; -- ANOTHER ONE!!
CF_ItmPowers[factionid][i] = 9


-- Shotguns
if CF_BombNames == nil then  -- Add this item to UL2 games only.
	i = #CF_ItmNames[factionid] + 1
	CF_ItmNames[factionid][i] = "DSWB01 VF Weapon <Spread>"
	CF_ItmPresets[factionid][i] = "DSWB01 VF Weapon <Spread>"
	CF_ItmModules[factionid][i] = "DSTech.rte"
	CF_ItmPrices[factionid][i] = 100
	CF_ItmDescriptions[factionid][i] = "[Shotgun mode of DSWB01. Use for AI or unit presets only.]"
	CF_ItmUnlockData[factionid][i] = 2000
	CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHOTGUN;
	CF_ItmPowers[factionid][i] = 6
end

-- Grenade Launchers
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB08 Grenade Launcher <Blast>"
CF_ItmPresets[factionid][i] = "DSWB08 Grenade Launcher <Blast>"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "This grenade launcher launches standard DSTech Corp Blast Grenades."
CF_ItmUnlockData[factionid][i] = 1500
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 7

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB08 Grenade Launcher <Shockwave>"
CF_ItmPresets[factionid][i] = "DSWB08 Grenade Launcher <Shockwave>"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 50
CF_ItmDescriptions[factionid][i] = "This version of the DSWB08 Grenade Launcher launches standard DSTech Corp Shockwave grenades."
CF_ItmUnlockData[factionid][i] = 1650
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 8




-- Gatling Guns
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB04 Gatling Gun A"
CF_ItmPresets[factionid][i] = "DSWB04 Gatling Gun A"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 200
CF_ItmDescriptions[factionid][i] = "DSTech Corp's gatling guns are comparable to those featured on vehicles. They're typically dual-wielded by the DSA9 Ferratus assault units."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.PISTOL;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB04 Gatling Gun B"
CF_ItmPresets[factionid][i] = "DSWB04 Gatling Gun B"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 200
CF_ItmDescriptions[factionid][i] = "Offhand version of the DSWB04 Gatling Gun."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHIELD;
CF_ItmPowers[factionid][i] = 8




-- Sniper Rifles
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWE01 Energy Weapon <Pulse>"
CF_ItmPresets[factionid][i] = "DSWE01 Energy Weapon <Pulse>"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 200
CF_ItmDescriptions[factionid][i] = "DSTech's first foray into energy weaponry. Use the Pie Menu to change modes."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
CF_ItmPowers[factionid][i] = 7

if CF_BombNames == nil then   -- Add these items to UL2 games only.
	i = #CF_ItmNames[factionid] + 1
	CF_ItmNames[factionid][i] = "DSWE01 Energy Weapon <Beam>"
	CF_ItmPresets[factionid][i] = "DSWE01 Energy Weapon <Beam>"
	CF_ItmModules[factionid][i] = "DSTech.rte"
	CF_ItmPrices[factionid][i] = 200
	CF_ItmDescriptions[factionid][i] = "[Second mode of DSWE01. Use for AI or unit presets only.]"
	CF_ItmUnlockData[factionid][i] = 4000
	CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
	CF_ItmPowers[factionid][i] = 7
	
	i = #CF_ItmNames[factionid] + 1
	CF_ItmNames[factionid][i] = "DSWB01 VF Weapon <Sniper>"
	CF_ItmPresets[factionid][i] = "DSWB01 VF Weapon <Sniper>"
	CF_ItmModules[factionid][i] = "DSTech.rte"
	CF_ItmPrices[factionid][i] = 100
	CF_ItmDescriptions[factionid][i] = "[Sniper mode of DSWB01. Use for AI or unit presets only.]"
	CF_ItmUnlockData[factionid][i] = 2000
	CF_ItmTypes[factionid][i] = CF_WeaponTypes.SNIPER;
	CF_ItmPowers[factionid][i] = 7
end

-- Cannons
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWB06 Revolver Cannon"
CF_ItmPresets[factionid][i] = "DSWB06 Revolver Cannon"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 300
CF_ItmDescriptions[factionid][i] = "DSTech's infantry based artillery piece, revolver based cannon, a siege weapon made to whittle down enemy bases."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWE05 Plasma Cannon"
CF_ItmPresets[factionid][i] = "DSWE05 Plasma Cannon"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 600
CF_ItmDescriptions[factionid][i] = "Shoots dense balls of plasma that cause considerable destruction where they hit."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 9



-- Rocket Launchers
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWM02 LRL"
CF_ItmPresets[factionid][i] = "DSWM02 LRL"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 300
CF_ItmDescriptions[factionid][i] = "The Large Rocket Launcher, second in the DSWMissile series. Launches a single giant rocket that's guaranteed to destroy anything caught in its radius."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 8

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWM03 Line Rocket <Anti-Matter>"
CF_ItmPresets[factionid][i] = "DSWM03 Line Rocket <Anti-Matter>"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 300
CF_ItmDescriptions[factionid][i] = "Automatic line rocket generator, third in the DSWMissile series. Line rockets are made of particles that travel in straight and constant lines, unlike conventional propulsion-based rockets."
CF_ItmUnlockData[factionid][i] = 4300
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 9

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWM01 MRL"
CF_ItmPresets[factionid][i] = "DSWM01 MRL"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 150
CF_ItmDescriptions[factionid][i] = "DSTech Corp's Machine Rocket Launcher, the first of the DSWMissile series. 4-barreled with 2 rockets in each, the MRL is a highly destructive weapon."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 8




-- DSXX Weapons
i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWMXX LANCE"
CF_ItmPresets[factionid][i] = "DSWMXX LANCE"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 250
CF_ItmDescriptions[factionid][i] = "The DSWMXX LANCE creates a plasma sword that cuts through anything. Best close-range weapon there is."
CF_ItmUnlockData[factionid][i] = 4000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.TOOL;
CF_ItmPowers[factionid][i] = 0

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWBXX PAIN"
CF_ItmPresets[factionid][i] = "DSWBXX PAIN"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 500
CF_ItmDescriptions[factionid][i] = "An extremely heavy shotgun that fires air-bursting shells, intended for use at mid- to long-ranges. When it hits, it is sure to dish out the PAIN. DISCLAIMER: DSTech Corp is not responsible for any deaths involving firing a DSWBXX PAIN at allies."
CF_ItmUnlockData[factionid][i] = 7000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.SHOTGUN;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWBXX PIERCING"
CF_ItmPresets[factionid][i] = "DSWBXX PIERCING"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 80
CF_ItmDescriptions[factionid][i] = "Powerful machine gun that trades magazine size for rapid fire destruction."
CF_ItmUnlockData[factionid][i] = 3000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.RIFLE;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWEXX FORCE"
CF_ItmPresets[factionid][i] = "DSWEXX FORCE"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 1000
CF_ItmDescriptions[factionid][i] = "DSTech Corp's powerful handheld plasma cannon, a weapon that can wipe out armies, bases, and seemingly invincible targets. Often given to command units. A secondary mode exists for desperate situations."
CF_ItmUnlockData[factionid][i] = 10000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 10

i = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][i] = "DSWEXX JUDGEMENT"
CF_ItmPresets[factionid][i] = "DSWEXX JUDGEMENT"
CF_ItmModules[factionid][i] = "DSTech.rte"
CF_ItmPrices[factionid][i] = 600
CF_ItmDescriptions[factionid][i] = "A reliable high-end laser rifle, extremely energy efficient. Certain command type units wield it, never seen on regular units."
CF_ItmUnlockData[factionid][i] = 7000
CF_ItmTypes[factionid][i] = CF_WeaponTypes.HEAVY;
CF_ItmPowers[factionid][i] = 10

-- BOMBS! Void Wanderers only.
if CF_BombNames ~= nil then
	local n = #CF_BombNames + 1
	CF_BombNames[n] = "FORCE Bomb"
	CF_BombPresets[n] = "FORCE Bomb"
	CF_BombModules[n] = "DSTech.rte"
	CF_BombClasses[n] = "TDExplosive"
	CF_BombPrices[n] = 5
	CF_BombDescriptions[n] = "Shockwave bomb that tears units apart without harming terrain."
	CF_BombOwnerFactions[n] = {"DSTech"}
	CF_BombUnlockData[n] = 100
	
	local n = #CF_BombNames + 1
	CF_BombNames[n] = "Blast Bomb"
	CF_BombPresets[n] = "Blast Bomb"
	CF_BombModules[n] = "DSTech.rte"
	CF_BombClasses[n] = "TDExplosive"
	CF_BombPrices[n] = 5
	CF_BombDescriptions[n] = "Cheap and reliable explosive payload."
	CF_BombOwnerFactions[n] = {"DSTech"}
	CF_BombUnlockData[n] = 100
end